Package org.eclipse.emf.cdo.lm.reviews.provider

# Class ReviewsItemProviderAdapterFactory.LMChildCreationExtender.CreationSwitch

java.lang.Object
org.eclipse.emf.ecore.util.Switch<Object>
org.eclipse.emf.cdo.lm.util.LMSwitch<Object>
org.eclipse.emf.cdo.lm.reviews.provider.ReviewsItemProviderAdapterFactory.LMChildCreationExtender.CreationSwitch

Enclosing class:
  `ReviewsItemProviderAdapterFactory.LMChildCreationExtender`

protected static class ReviewsItemProviderAdapterFactory.LMChildCreationExtender.CreationSwitch extends LMSwitch<Object>
The switch for creating child descriptors specific to each extended class.

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EditingDomain`
`editingDomain`
The domain in which to create the children.
`protected List<Object>`
`newChildDescriptors`
The child descriptors being populated.

### Fields inherited from class org.eclipse.emf.cdo.lm.util.LMSwitch

`modelPackage`

## Method Summary

Modifier and Type
Method
Description
`Object`
`caseStream(Stream object)`
`protected CommandParameter`
`createChildParameter(Object feature, Object child)`

### Methods inherited from class org.eclipse.emf.cdo.lm.util.LMSwitch

`caseBaseline, caseChange, caseDelivery, caseDependency, caseDrop, caseDropType, caseFixedBaseline, caseFloatingBaseline, caseModelElement, caseModule, caseModuleElement, caseModuleType, caseProcess, caseProcessElement, caseStreamElement, caseSystem, caseSystemElement, defaultCase, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### newChildDescriptors

protected List<Object> newChildDescriptors
The child descriptors being populated.

Generated

### editingDomain

protected EditingDomain editingDomain
The domain in which to create the children.

Generated

## Method Details

### caseStream

public Object caseStream(Stream object)

Overrides:
  `caseStream` in class `LMSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Stream'.
See Also:
  - `doSwitch(EObject)`
Generated

### createChildParameter

protected CommandParameter createChildParameter(Object feature, Object child)

Generated